# File

## Overview

The media file can be any type of file included in your solution. When imported, will be copied to your Servoy Developer workspace. Can have multiple usages, image/video files, css files, configuration files...

## Commands Summary

A summary of commands available on this item via right-click context menu:

| Command                                         | Summary                                                  |
| ----------------------------------------------- | -------------------------------------------------------- |
| [Open media file](#open-media-file)             | Opens media file in appropriate editor                   |
| [Open with](#open-with)                         | Opens media file with choosen editor                     |
| [Search for References](#search-for-references) | Searches for references of media file in active solution |
| [Import media](#import-media)                   | Imports media file from local disk into workspace        |
| [Import media folder](#import-media-folder)     | Imports media folder from local disk into workspace      |
| [Rename media item](#rename-media-item)         | Renames media file                                       |
| [Move media](#move-media)                       | Moves media to another folder                            |
| [Duplicate media](#duplicate-media)             | Creates a media file copy                                |
| [Delete media](#delete-media)                   | Deletes media file                                       |

## Commands Details

The details for each command available on this item via right-click context menu:

### Open media file

Opens media file in appropriate editor. Servoy Developer use the configured editor (in Preferences) of the selected file type.

### Open with

Opens media file with choosen editor. Can choose desired editor from a list.

### Search for References

Searches for references of media file in active solution.

### Import media

Imports media file (actually any type of file), from local disk into the Servoy solution. Can choose the file using OS File Chooser.

### Import media folder

Imports media folder and all files from it (any type of file), from local disk into the Servoy solution. Can choose the folder using OS Folder Chooser.

### Rename media item

Renames the media file.

### Move media

Moves media file to another folder.

### Duplicate media

Creates a media file copy.

### Delete media

Deletes file from workspace.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.servoy.com/reference/servoy-developer/solution-explorer/all-solutions/active-solution/media/file.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
